summaryrefslogtreecommitdiff
path: root/bootstrap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh26
1 files changed, 17 insertions, 9 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index c73e709da..0a548eaa2 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -1,20 +1,28 @@
#!/bin/sh
-subdirs="compiler/cpp lib/cpp lib/py if"
+subdirs=" if"
./cleanup.sh
-aclocal
-touch NEWS README AUTHORS ChangeLog
-autoconf
-automake -ac
+autoscan || exit 1
+autoheader || exit 1
+aclocal -I ./aclocal || exit 1
+
+if libtoolize --version 1 >/dev/null 2>/dev/null; then
+ libtoolize --automake || exit 1
+elif glibtoolize --version 1 >/dev/null 2>/dev/null; then
+ glibtoolize --automake || exit 1
+fi
+
+autoconf || exit 1
+automake -ac --add-missing --foreign || exit 1
for subdir in ${subdirs}; do
if [ -x "${subdir}/bootstrap.sh" ]; then
- cwd="`pwd`"
- cd "${subdir}"
- ./bootstrap.sh
- cd "${cwd}"
+ cwd="`pwd`"
+ cd "${subdir}"
+ ./bootstrap.sh
+ cd "${cwd}"
fi
done